Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.model.converter
Class FacesConversionService

    java.lang.Object
      org.springframework.binding.convert.service.GenericConversionService
          org.springframework.binding.convert.service.DefaultConversionService
              org.springframework.faces.model.converter.FacesConversionService

All Implemented Interfaces:
  ConversionService

    public class FacesConversionService

extends DefaultConversionService

Convenient `ConversionService` implementation for JSF that composes JSF-specific converters with the standard Web Flow converters.

In addition to the standard Web Flow conversion, this service provide conversion from a list into a `OneSelectionTrackingListDataModel` using a "dataModel" alias for the type.

Author:
  Jeremy Grelle

Constructor Summary
`FacesConversionService()`
`FacesConversionService(org.springframework.core.convert.ConversionService delegateConversionService)`

Method Summary
`protected void` | `addFacesConverters()`

Methods inherited from class org.springframework.binding.convert.service.DefaultConversionService
`addDefaultAliases, addDefaultConverters`

Methods inherited from class org.springframework.binding.convert.service.GenericConversionService
`addAlias, addConverter, addConverter, executeConversion, executeConversion, getClassForAlias, getConversionExecutor, getConversionExecutor, getDelegateConversionService, getParent, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesConversionService

    public FacesConversionService()

### FacesConversionService

    public FacesConversionService(org.springframework.core.convert.ConversionService delegateConversionService)

Method Detail

### addFacesConverters

    protected void addFacesConverters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD